satregion.h File Reference

Supports connected regions of saturated blocks in triangulations of Seifert fibred spaces. More...

`#include "regina-core.h"`
`#include "output.h"`
`#include "subcomplex/satblock.h"`
`#include <vector>`
`#include <boost/noncopyable.hpp>`

## Classes

struct | regina::SatBlockSpec
| Describes how a single saturated block forms a part of a larger saturated region. More...
class | regina::SatRegion
| A large saturated region in a Seifert fibred space formed by joining together saturated blocks. More...

## Namespaces

| regina
| Contains the entire Regina calculation engine.

## Typedefs

typedef SatBlockSpec | regina::NSatBlockSpec
| Deprecated typedef for backward compatibility. More...
typedef SatRegion | regina::NSatRegion
| Deprecated typedef for backward compatibility. More...

## Detailed Description

Supports connected regions of saturated blocks in triangulations of Seifert fibred spaces.

Copyright © 1999-2016, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@maths.uq.edu.au).